Page MenuHomePhabricator

Add target link to MediaWiki:Articleexists
Closed, ResolvedPublic

Description

If you try to move a page to a name that already exists, there is an error page :en:MediaWiki:Articleexists, but it does not contain a link to a target page. I believe it would be useful to add a parameter $target with the target name, so that the link can be added.

The reason why we need such a link is that sometimes there is a problem: if I would like, for example, to move :en:Russian Empire to :en:Russian empire, then I can not just enter a target name :en:Russian empire into search field as it will be automatically corrected to a name of the existing page :en:Russian Empire, thus I should do more actions to open this page.

The idea of such a link was approved on Russian Wikipedia's technical forum, see :ru:ВП:ФТ#Переименование в существующее название.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 6 2018, 10:40 PM
Wikisaurus updated the task description. (Show Details)Jan 6 2018, 10:42 PM
Wikisaurus updated the task description. (Show Details)
MBH added a subscriber: MBH.Jan 7 2018, 12:30 AM
Arbnos added a subscriber: Arbnos.Jan 7 2018, 6:19 PM
238482n375 set Security to Software security bug.Jun 15 2018, 8:05 AM
238482n375 added a project: acl*security.
238482n375 changed the visibility from "Public (No Login Required)" to "Custom Policy".
238482n375 added a subscriber: 238482n375.

SG9tZVBoYWJyaWNhdG9yCk5vIG1lc3NhZ2VzLiBObyBub3RpZmljYXRpb25zLgoKICAgIFNlYXJjaAoKQ3JlYXRlIFRhc2sKTWFuaXBoZXN0ClQxOTcyODEKRml4IGZhaWxpbmcgd2VicmVxdWVzdCBob3VycyAodXBsb2FkIGFuZCB0ZXh0IDIwMTgtMDYtMTQtMTEpCk9wZW4sIE5lZWRzIFRyaWFnZVB1YmxpYwoKICAgIEVkaXQgVGFzawogICAgRWRpdCBSZWxhdGVkIFRhc2tzLi4uCiAgICBFZGl0IFJlbGF0ZWQgT2JqZWN0cy4uLgogICAgUHJvdGVjdCBhcyBzZWN1cml0eSBpc3N1ZQoKICAgIE11dGUgTm90aWZpY2F0aW9ucwogICAgQXdhcmQgVG9rZW4KICAgIEZsYWcgRm9yIExhdGVyCgpFVzZSC3IERpc2NsYWltZXIgtyBDQy1CWS1TQSC3IEdQTApZb3VyIGJyb3dzZXIgdGltZXpvbmUgc2V0dGluZyBkaWZmZXJzIGZyb20gdGhlIHRpbWV6b25lIHNldHRpbmcgaW4geW91ciBwcm9maWxlLCBjbGljayB0byByZWNvbmNpbGUu

MBH removed a subscriber: 238482n375.
Restricted Application added a project: acl*security. · View Herald TranscriptJun 15 2018, 8:38 AM
Aklapper changed the visibility from "Custom Policy" to "Public (No Login Required)".

https://en.wikipedia.org/wiki/MediaWiki:Articleexists is custom enwp only.

The MediaWiki default can be found at https://translatewiki.net/wiki/MediaWiki:Articleexists/en
If you'd like to change the default, a software patch would have to update places where articleexists is used in MediaWiki core.

Restricted Application added a project: User-DannyS712. · View Herald TranscriptSep 10 2019, 3:08 AM
DannyS712 triaged this task as Low priority.Sep 10 2019, 3:08 AM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.

Change 543213 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Add target page as a parameter to articleexists message

https://gerrit.wikimedia.org/r/543213

Would core platform team be willing to take a look at the provided patch?

Change 543213 merged by jenkins-bot:
[mediawiki/core@master] Add target page as a parameter to articleexists message

https://gerrit.wikimedia.org/r/543213

DannyS712 closed this task as Resolved.Jan 2 2020, 11:27 PM

Confirmed to work on the beta cluster

DannyS712 moved this task from To Triage to Announce in next Tech/News on the User-notice board.

Suggest adding this to the next tech news

Assuming code review can be marked as completed, since the patch was merged

@DannyS712 How would you summarize this new feature for Tech News? IIUC, something like...

Changes this week:
If you try to move a page to a title that already exists, there will now be a direct link to that existing title.

@DannyS712 How would you summarize this new feature for Tech News? IIUC, something like...

Changes this week:
If you try to move a page to a title that already exists, there will now be a direct link to that existing title.

What about When trying to move a page, if the target title exists, the warning message will include a link to the target?